Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class LaxRedirectStrategy

    java.lang.Object
      org.apache.http.impl.client.DefaultRedirectStrategy
          org.apache.http.impl.client.LaxRedirectStrategy

All Implemented Interfaces:
  RedirectStrategy

    @Immutable
    public class LaxRedirectStrategy

extends DefaultRedirectStrategy

Lax `RedirectStrategy` implementation that automatically redirects all HEAD, GET and POST requests. This strategy relaxes restrictions on automatic redirection of POST methods imposed by the HTTP specification.

Since:
  4.2

Field Summary

Fields inherited from class org.apache.http.impl.client.DefaultRedirectStrategy
`REDIRECT_LOCATIONS`

Constructor Summary
`LaxRedirectStrategy()`

Method Summary
`protected boolean` | `isRedirectable(String method)`

Methods inherited from class org.apache.http.impl.client.DefaultRedirectStrategy
`createLocationURI, getLocationURI, getRedirect, isRedirected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LaxRedirectStrategy

    public LaxRedirectStrategy()

Method Detail

### isRedirectable

    protected boolean isRedirectable(String method)

  Overrides:
    `isRedirectable` in class `DefaultRedirectStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.